extend ../../../../ComponentesPug/FormulariosConListados/Plantilla.pug

block variables
    - var Titulo = "{{ tTitulo }}"
    - var TituloListado = "Lista de Tipos"
    - var CabeceraListado = ["Descripción"]
    - var CantidadListado = "{{ tTablas.length }}"
    - var TituloDatos = "Detalles de los Tipos"
    - var TamanoColeccion = "tTablas.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tTablaFor of tTablas | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag ; let jv = index")
        th
            button(type="button",
                    (click)="Seleccionar_Tabla(tTablaFor)").btn.btn-sm.btn-warning.ml-1
                i.fas.fa-edit.text-white
        td
            h6.text-xs.text-nowrap {{ tTablaFor.Descripcion }}

block ContenidoDatosCabecera
  app-fw-tipos-cabecera([(Tabla)]="tTablaActual")
block ContenidoDatosInformacion
  div.form-row
    div.form-group.col-12
      ul(role="tablist").nav.nav-tabs
        li.nav-item
          a(data-toggle="tab",
              href="#Informacion",
              role="tab",
              aria-controls="Informacion",
              aria-selected="true").nav-link.active Tipos
  div.form-row
    div.form-group.col-12
      div.tab-content#mvDatos
        div(role="tabpanel", aria-labelledby="Informacion-tab").tab-pane.fade.show.active#Informacion
          div(*ngFor="let tTipo of tTablaActual.LTipos | slice: (tPaginaEst-1) * tTamanoPagEst : (tPaginaEst-1) * tTamanoPagEst + tTamanoPagEst").form-row
            div.form-group.col-12
              app-fw-tipos-detalle([Tipo]="tTipo",
                                  (ModificarTipo)="Modificar_Tipos($event)")
          div.form-row
            div.form-group.col-12
              ngb-pagination([collectionSize]="tTablaActual.LTipos.length",
                  [(page)]="tPaginaEst",
                  aria-label="Default pagination",
                  [pageSize]="tTamanoPagEst").d-flex.justify-content-center
